#include <SPI.h>
#include "PN532_SPI.h"
#include "PN532.h"
#include "NfcAdapter.h"

int verifica=0;
PN532_SPI interface(SPI, 10); // create a SPI interface for the shield with the SPI CS terminal at digital pin 10

NfcAdapter nfc = NfcAdapter(interface); // create an NFC adapter object
 
void setup(void) 
{
 
    Serial.begin(9600); // start serial comm
    Serial.println("NDEF Reader");
    nfc.begin(); // begin NFC comm
}

void loop(void) 
{
//  Serial.println("\nScan an NFC tag\n");
  if (nfc.tagPresent()) // Do an NFC scan to see if an NFC tag is present
  {
      NfcTag tag = nfc.read(); // read the NFC tag
       NdefMessage message = tag.getNdefMessage();
 
 
 
     //   Serial.println(tag.getTagType());
      if(tag.hasNdefMessage())
      {
        NdefMessage message = tag.getNdefMessage();
       
        for(int i=0;i<message.getRecordCount();i++)
        {
          NdefRecord record = message.getRecord(i);
             
          int payloadLength = record.getPayloadLength();
          byte payload[payloadLength];
          record.getPayload(payload);
        
          String payloadAsString = "";
        for (int c = 0; c < payloadLength; c++) {
          payloadAsString += (char)payload[c];
        }
      //  Serial.print("  Payload (as String): ");
     //   Serial.println(payloadAsString);
    if ((payloadAsString.substring(1) == "gmail")&(verifica==0)) {
    Serial.println("gmail");
     verifica=1;
    }
    if ((payloadAsString.substring(1) == "yahoo")&(verifica==0)) {
    Serial.println("yahoo");
     verifica=1;
    }
    if ((payloadAsString.substring(1) == "facebook")&(verifica==0)) {
    Serial.println("facebook");
     verifica=1;
    }
       
      
       
  }
 
  }
 
  }
   else{
  verifica=0;
  }
  delay(500); // wait half a second (500ms) before scanning again (you may increment or decrement the wait time)
  
} 
